Skip to main content
GET
List contact comments

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

contact_id
string
required

Contact ID

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

progressive
boolean

Skip the total count: pagination-count is exact on the last page, and one more than the items so far while more pages exist (Only used on special endpoints)

Response

200 - application/json
id
string
required
contact_id
string
required
comment
string | null
required
attachments
object[]
required

Files attached to the comment

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
actor
object

User who posted the comment

agent
object

Agent who posted the comment

assistant
object

Assistant who posted the comment

message_id
string

The private note this comment mirrors, when it was written in a conversation

chat
object

The chat behind the comment: the conversation a note was written in, or the run that answered a tag

metadata
object

Activity metadata payload. Discriminated by type, which mirrors the parent activity row type.